REMCTL_NEW(3)

NAME
remctl_new - Create a new remctl client

SYNOPSIS
#include <remctl.h>

struct remctl *remctl_new(void);

DESCRIPTION
remctl_new() creates a new remctl client. The resulting remctl struct is opaque from the perspective of the caller, but should be the first argument to all subsequent calls into the remctl API. Normally, the next call after remctl_new() would be remctl_open() to connect to a remote server.

The resulting struct should be freed by calling remctl_close().

RETURN VALUE
remctl_new() returns a pointer to an opaque remctl struct on success and NULL on failure. If it returns NULL, errno will be set to an appropriate error code (normally ENOMEM).

SEE ALSO
remctl_open(3), remctl_command(3), remctl_commandv(3), remctl_output(3), remctl_close(3)

The current version of the remctl library and complete details of the remctl protocol are available from its web page at <http://www.eyrie.org/~eagle/software/remctl/>.

AUTHOR
Russ Allbery <eagle@eyrie.org>

COPYRIGHT AND LICENSE
Copyright 2007, 2009 The Board of Trustees of the Leland Stanford Junior University

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved. This file is offered as-is, without any warranty.